summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authordaniel oeh <daniel.oeh@gmail.com>2014-05-18 22:12:08 +0200
committerdaniel oeh <daniel.oeh@gmail.com>2014-05-18 22:12:08 +0200
commitf47a6d5597d389261216204e1fec3909fcb071bd (patch)
tree290e6254ca549535d424a9d2c68efd7d0b24ffab /ci
parent0d1d256ee4a52f455dfdd421eef00cbf1878f0c1 (diff)
downloadAntennaPod-f47a6d5597d389261216204e1fec3909fcb071bd.zip
Added travis config file
Diffstat (limited to 'ci')
-rw-r--r--ci/wait_for_emulator.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/wait_for_emulator.sh b/ci/wait_for_emulator.sh
new file mode 100644
index 000000000..317883878
--- /dev/null
+++ b/ci/wait_for_emulator.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+bootanim=""
+failcounter=0
+until [[ "$bootanim" =~ "stopped" ]]; do
+ bootanim=`adb -e shell getprop init.svc.bootanim 2>&1`
+ echo "$bootanim"
+ if [[ "$bootanim" =~ "not found" ]]; then
+ let "failcounter += 1"
+ if [[ $failcounter -gt 3 ]]; then
+ echo "Failed to start emulator"
+ exit 1
+ fi
+ fi
+ sleep 1
+done
+echo "Done"